#include "discovery/DeviceRecommendation.h"
    
DeviceRecommendation::DeviceRecommendation() 
{

}

DeviceRecommendation::DeviceRecommendation(const AgString& name, const AgString& description) 
{
    this->name = name;
    this->description = description;
}

DeviceRecommendationPtr DeviceRecommendation::getBlank() 
{
    DeviceRecommendationPtr blank = DeviceRecommendationPtr(new DeviceRecommendation());
    return blank;
}

AgString DeviceRecommendation::getName() 
{
    return name;
}

AgString DeviceRecommendation::getDescription() 
{
    return description;
}

AgString DeviceRecommendation::toString() 
{
    return AgString("DeviceRecommendation [") + name + AgString(", ") + description + AgString("]");
}
